MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029407Community[OCCT] OCCT:Configurationpublic2017-12-29 16:212018-06-29 21:18
Reporterconic_chris 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMac OS XOSMac OS X High SierraOS Version 0.12.6
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029407: Generating static libraries on macOS
DescriptionI want to build the entire OCCT under Mac for Mac OS as static libraries. (permission acquired to do so).

I wonder if there are settings in the 'env.sh' or 'custom.sh' scripts to do so. But if there are I cannot find them.
Steps To ReproduceI am following instructions on
https://www.opencascade.com/doc/occt-7.2.0/overview/html/occt_dev_guides__building_xcode.html [^]
to compile occt libraries on mac as dynamic libraries. That worked so far.

I do not know what to change in the process to generate static libraries instead of dynamic ones.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029589closedbugmaster Open CASCADE Configuration - allow MFC samples to be built when OCCT is linked statically 

-  Notes
(0074165)
szy (administrator)
2018-02-28 17:17

Check it, please.
The customer refers to our guide (with xcode).
If it doesn't work may be we can fix it (guide or script)?
If not - probably cmake can be used (to be checked).
(0074643)
bugmaster (administrator)
2018-03-19 12:13

The best way to build static library on MacOS is usage of CMake procedure with option BUILD_LIBRARY_TYPE=Static and native products.
It was checked for OCCT 7.1.0 and 7.2.0
(0074644)
bugmaster (administrator)
2018-03-19 12:47

Ivan,

APN and me try to build static libraries on MacOS use the description from

https://www.opencascade.com/doc/occt-7.2.0/overview/html/occt_dev_guides__building_xcode.html [^]

1. We created environment
2. We generated XCode projects by genproj with usage -static option
3. But next point Building put us in a quandary
Could you please update this chapter for dummy users!
(0076347)
git (administrator)
2018-05-25 18:23

Branch CR29407 has been created by apn.

SHA-1: 432048dabdb5c479154ddfc166bf1d7282b9f605


Detailed log of new commits:

Author: apn
Date: Fri May 25 18:23:01 2018 +0300

    0029407: Generating static libraries on macOS
    
    Update "Building with Xcode" documentation
(0076350)
abv (manager)
2018-05-25 19:16

Reviewed, added to branch CR0-OCCT730beta for integration
(0076897)
git (administrator)
2018-06-23 13:56

Branch CR29407 has been deleted by kgv.

SHA-1: 432048dabdb5c479154ddfc166bf1d7282b9f605

- Related Changesets
occt: master f78445cf
Timestamp: 2018-05-25 15:23:01
Author: abv
Committer: abv
Details ] Diff ]
0029407: Generating static libraries on macOS

Update "Building with Xcode" documentation
mod - dox/dev_guides/building/xcode.md Diff ] File ]
occt: master 2e32a645
Timestamp: 2018-05-25 15:23:01
Author: abv
Committer: abv
Details ] Diff ]
0029407: Generating static libraries on macOS

Update "Building with Xcode" documentation
mod - dox/dev_guides/building/xcode.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-29 16:21 conic_chris New Issue
2017-12-29 16:21 conic_chris Assigned To => bugmaster
2018-02-28 17:17 szy Note Added: 0074165
2018-02-28 17:17 szy Assigned To bugmaster => inv
2018-02-28 17:17 szy Status new => assigned
2018-03-19 08:46 abv Target Version => 7.3.0
2018-03-19 08:58 abv Relationship added related to 0029589
2018-03-19 12:13 bugmaster Note Added: 0074643
2018-03-19 12:13 bugmaster Status assigned => closed
2018-03-19 12:13 bugmaster Resolution open => no change required
2018-03-19 12:47 bugmaster Note Added: 0074644
2018-03-19 12:47 bugmaster Assigned To inv => ibs
2018-03-19 12:47 bugmaster Status closed => assigned
2018-05-25 18:23 git Note Added: 0076347
2018-05-25 18:28 apn Test case number => Not needed
2018-05-25 18:28 apn Assigned To ibs => abv
2018-05-25 18:28 apn Status assigned => feedback
2018-05-25 19:16 abv Note Added: 0076350
2018-05-25 19:16 abv Assigned To abv => bugmaster
2018-05-25 19:16 abv Status feedback => reviewed
2018-05-29 12:33 abv Changeset attached => occt master f78445cf
2018-05-29 12:33 abv Assigned To bugmaster => abv
2018-05-29 12:33 abv Status reviewed => verified
2018-05-29 12:33 abv Resolution no change required => fixed
2018-05-29 15:54 abv Changeset attached => occt master 2e32a645
2018-06-23 13:56 git Note Added: 0076897
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker